Bug 1883335 - Generate discovery ISO. The instruction to create the ssh key includes a non-existing argument
Summary: Generate discovery ISO. The instruction to create the ssh key includes a non-...
Keywords:
Status: VERIFIED
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: assisted-installer
Version: 4.6
Hardware: Unspecified
OS: Unspecified
unspecified
low
Target Milestone: ---
: ---
Assignee: Marek Libra
QA Contact: Udi
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-09-28 19:45 UTC by Alexander Chuzhoy
Modified: 2020-10-20 15:30 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Target Upstream Version:


Attachments (Terms of Use)

Description Alexander Chuzhoy 2020-09-28 19:45:41 UTC
Generate Discovery ISO widget includes the following instruction:
Version:
Red Hat Logo
Please include these details when opening a support case.


Application Path:
    /openshift/assisted-installer/clusters
Chrome Version:
    3dab1e9314c641c709d758c876d8e8bdc8c74186
Dashboard Version:
    b89b1bc26e9661270a270abeca92a3ffc5accc5a
Inventory Version:
    a45b358582697a8d98f00e52fd775645896c3301
Remediations Version:
    72bd90315e3b6791eab10490383efa9394d96087
Vulnerability Version:
    a4bc02ec3347e4417749dca9d8c5bce77083e40c
Compliance Version:
    08d88b2d6ff3177775c17a014f9c99c8b161a75d
Cost Management Version:
Advisor Version:
    6dd864d3040a10109ffcc5fedbc390d032ce17ca
Drift Version:
    c12ba359bb698c567e72278f22ec2fe0b004f3bb
Migration Analytics Version:
    0d3e6ed385c4607ecd9991f4dfe5d47e1ea5937e
Automation Hub Version:
    83dfeaa7c76bfa93bfed6bde91f266571ab77b72
Automation Analytics Version:
    89f9692730b63bf77849b61bfd25950e68a21678
Policies Version:
    1dafea47caae35d2bb1780892279192606371347
Patch Version:
    3b5a0ab7bf535a25a5dca820ef2a1b6fa5236299
Automation Services Catalog Version:
    1903e5512af71010886c5a7444f28f728ee04839
Approval Version:
    4147fbf57b1cf6c68058acef8e93803d42a3806d
Sources Version:
    ee7e5e9a5d0f1152fe8a4fb1c972251055aa4770

"SSH key used to debug OpenShift nodes. Generate a new key using ssh-keygen -o and upload or paste the value of ~/.ssh/id_rsa.pub here."

Re "ssh-keygen -o",  I don't see the -o option neither in help nor in manual for ssh-keygen. It's sufficient to just remove this option.

Comment 1 Jiri Tomasek 2020-09-30 11:09:11 UTC
This the option can be either removed or replaced with correct one (-O)

Comment 2 Marek Libra 2020-10-05 13:10:58 UTC
Since we do not provide hint about any particular option, let's remove it.
Patch: https://github.com/mareklibra/facet-lib/pull/246

Comment 3 Alexander Chuzhoy 2020-10-20 14:49:49 UTC
Version:
Red Hat Logo
Please include these details when opening a support case.

User Name:
    achuzhoy@redhat.com
Current Application:
    Clusters
Application Path:
    /openshift/assisted-installer/clusters/472a32d8-d64e-45c1-91a3-acfce4318959
Chrome Version:
    fb71edaba324f72b205c9d4ba5c3bc576c0ecc9b
Dashboard Version:
    354d37a6b3b9ec78f4b7193b9644927052b11fd4
Inventory Version:
    1c1c3ce1f79c718b4c1508cc8aae9eb898179eb5
Remediations Version:
    72bd90315e3b6791eab10490383efa9394d96087
Vulnerability Version:
    a4bc02ec3347e4417749dca9d8c5bce77083e40c
Compliance Version:
    177042d99192d7cc714c85186f53dbfafb96cc6a
Cost Management Version:
    aaa8b470409c330ce2b4a11cff896b7df058c632
Advisor Version:
    6ff14dfbb233835bc6efa3b36e08d97d3ca89c3b
Drift Version:
    0d2f2ed41c5dff2f582b20d349b234823f12ceb1
Migration Analytics Version:
    0d3e6ed385c4607ecd9991f4dfe5d47e1ea5937e
Automation Hub Version:
    83dfeaa7c76bfa93bfed6bde91f266571ab77b72
Automation Analytics Version:
    3bb6003877b416038a991811f105058bd4507907
Policies Version:
    18c0ae43195be0149b1b8f08a80d4858f2c39e75
Patch Version:
    7843f1951bf1bb097455b3a2350f8901e63bb350
Automation Services Catalog Version:
    36dad4aabc5f8845a471f60fe0e27d81b77d6aca
Approval Version:
    eb3667a3147fffcd254dd54e03b10eb403c1ebe8
Sources Version:
    ee7e5e9a5d0f1152fe8a4fb1c972251055aa4770

Verified:
The message is now:
Provide an SSH public key to debug OpenShift nodes after installation. To generate a new key, use the ssh-keygen command and paste the resulting public key (i.e. content of ~/.ssh/id_rsa.pub file) here.


Note You need to log in before you can comment on or make changes to this bug.